MPMUL2(3)

SYNOPSIS
SUBROUTINE MPMUL2 (X, IY, Z, TRUNC)

NAME
mpmul2 - Subsidiary to DQDOTA and DQDOTI

LIBRARY
SLATEC

TYPE
ALL (MPMUL2-A)

AUTHOR
(UNKNOWN)

DESCRIPTION
Multiplies 'mp' X by single-precision integer IY giving 'mp' Z. Multiplication by 1 may be used to normalize a number even if some digits are greater than B-1. Result is rounded if TRUNC.EQ.0, otherwise truncated. The arguments X(*) and Z(*), and the variable R in COMMON are all INTEGER arrays of size 30. See the comments in the routine MPBLAS for the reason for this choice.

SEE ALSO
DQDOTA, DQDOTI, MPBLAS

ROUTINES CALLED
MPCHK, MPERR, MPNZR, MPOVFL, MPSTR

COMMON BLOCKS
MPCOM

REVISION HISTORY (YYMMDD)
791001 DATE WRITTEN ?????? Modified for use with BLAS. Blank COMMON changed to named COMMON. R given dimension 12.
890531 Changed all specific intrinsics to generic. (WRB)
891214 Prologue converted to Version 4.0 format. (BAB)
900402 Added TYPE section. (WRB)
930124 Increased Array size in MPCON for SUN -r8. (RWC)